com.google.cloud.dataflow.sdk.transforms

## Class CombineFns.ComposeCombineFnBuilder

- java.lang.Object
- - com.google.cloud.dataflow.sdk.transforms.CombineFns.ComposeCombineFnBuilder

Enclosing class:
  CombineFns

    public static class CombineFns.ComposeCombineFnBuilder
    extends Object

A builder class to construct a composed `CombineFnBase.GlobalCombineFn`.

### Constructor Summary

Constructors
Constructor and Description
`ComposeCombineFnBuilder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`<DataT,InputT,OutputT> CombineFns.ComposedCombineFn<DataT>` `with(SimpleFunction<DataT,InputT> extractInputFn, Combine.CombineFn<InputT,?,OutputT> combineFn, TupleTag<OutputT> outputTag)` Returns a `CombineFns.ComposedCombineFn` that can take additional `GlobalCombineFns` and apply them as a single combine function.
`<DataT,InputT,OutputT> CombineFns.ComposedCombineFnWithContext<DataT>` `with(SimpleFunction<DataT,InputT> extractInputFn, CombineWithContext.CombineFnWithContext<InputT,?,OutputT> combineFnWithContext, TupleTag<OutputT> outputTag)` Returns a `CombineFns.ComposedCombineFnWithContext` that can take additional `GlobalCombineFns` and apply them as a single combine function.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ComposeCombineFnBuilder

    public ComposeCombineFnBuilder()

### Method Detail

#### with

    public <DataT,InputT,OutputT> CombineFns.ComposedCombineFn<DataT> with(SimpleFunction<DataT,InputT> extractInputFn,
                                                                           Combine.CombineFn<InputT,?,OutputT> combineFn,
                                                                           TupleTag<OutputT> outputTag)

Returns a `CombineFns.ComposedCombineFn` that can take additional `GlobalCombineFns` and apply them as a single combine function.

The `CombineFns.ComposedCombineFn` extracts inputs from `DataT` with the `extractInputFn` and combines them with the `combineFn`, and then it outputs each combined value with a `TupleTag` to a `CombineFns.CoCombineResult`.

#### with

    public <DataT,InputT,OutputT> CombineFns.ComposedCombineFnWithContext<DataT> with(SimpleFunction<DataT,InputT> extractInputFn,
                                                                                      CombineWithContext.CombineFnWithContext<InputT,?,OutputT> combineFnWithContext,
                                                                                      TupleTag<OutputT> outputTag)

Returns a `CombineFns.ComposedCombineFnWithContext` that can take additional `GlobalCombineFns` and apply them as a single combine function.

The `CombineFns.ComposedCombineFnWithContext` extracts inputs from `DataT` with the `extractInputFn` and combines them with the `combineFnWithContext`, and then it outputs each combined value with a `TupleTag` to a `CombineFns.CoCombineResult`.